require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&__LINUX_BPF_H__)) {
    eval 'sub __LINUX_BPF_H__ () {1;}' unless defined(&__LINUX_BPF_H__);
    require 'linux/types.ph';
    require 'linux/bpf_common.ph';
    eval 'sub BPF_JMP32 () {0x6;}' unless defined(&BPF_JMP32);
    eval 'sub BPF_ALU64 () {0x7;}' unless defined(&BPF_ALU64);
    eval 'sub BPF_DW () {0x18;}' unless defined(&BPF_DW);
    eval 'sub BPF_MEMSX () {0x80;}' unless defined(&BPF_MEMSX);
    eval 'sub BPF_ATOMIC () {0xc0;}' unless defined(&BPF_ATOMIC);
    eval 'sub BPF_XADD () {0xc0;}' unless defined(&BPF_XADD);
    eval 'sub BPF_MOV () {0xb0;}' unless defined(&BPF_MOV);
    eval 'sub BPF_ARSH () {0xc0;}' unless defined(&BPF_ARSH);
    eval 'sub BPF_END () {0xd0;}' unless defined(&BPF_END);
    eval 'sub BPF_TO_LE () {0x;}' unless defined(&BPF_TO_LE);
    eval 'sub BPF_TO_BE () {0x8;}' unless defined(&BPF_TO_BE);
    eval 'sub BPF_FROM_LE () { &BPF_TO_LE;}' unless defined(&BPF_FROM_LE);
    eval 'sub BPF_FROM_BE () { &BPF_TO_BE;}' unless defined(&BPF_FROM_BE);
    eval 'sub BPF_JNE () {0x50;}' unless defined(&BPF_JNE);
    eval 'sub BPF_JLT () {0xa0;}' unless defined(&BPF_JLT);
    eval 'sub BPF_JLE () {0xb0;}' unless defined(&BPF_JLE);
    eval 'sub BPF_JSGT () {0x60;}' unless defined(&BPF_JSGT);
    eval 'sub BPF_JSGE () {0x70;}' unless defined(&BPF_JSGE);
    eval 'sub BPF_JSLT () {0xc0;}' unless defined(&BPF_JSLT);
    eval 'sub BPF_JSLE () {0xd0;}' unless defined(&BPF_JSLE);
    eval 'sub BPF_CALL () {0x80;}' unless defined(&BPF_CALL);
    eval 'sub BPF_EXIT () {0x90;}' unless defined(&BPF_EXIT);
    eval 'sub BPF_FETCH () {0x1;}' unless defined(&BPF_FETCH);
    eval 'sub BPF_XCHG () {(0xe0 |  &BPF_FETCH);}' unless defined(&BPF_XCHG);
    eval 'sub BPF_CMPXCHG () {(0xf0 |  &BPF_FETCH);}' unless defined(&BPF_CMPXCHG);
    eval("sub BPF_REG_0 () { 0; }") unless defined(&BPF_REG_0);
    eval("sub BPF_REG_1 () { 1; }") unless defined(&BPF_REG_1);
    eval("sub BPF_REG_2 () { 2; }") unless defined(&BPF_REG_2);
    eval("sub BPF_REG_3 () { 3; }") unless defined(&BPF_REG_3);
    eval("sub BPF_REG_4 () { 4; }") unless defined(&BPF_REG_4);
    eval("sub BPF_REG_5 () { 5; }") unless defined(&BPF_REG_5);
    eval("sub BPF_REG_6 () { 6; }") unless defined(&BPF_REG_6);
    eval("sub BPF_REG_7 () { 7; }") unless defined(&BPF_REG_7);
    eval("sub BPF_REG_8 () { 8; }") unless defined(&BPF_REG_8);
    eval("sub BPF_REG_9 () { 9; }") unless defined(&BPF_REG_9);
    eval("sub BPF_REG_10 () { 10; }") unless defined(&BPF_REG_10);
    eval("sub __MAX_BPF_REG () { 11; }") unless defined(&__MAX_BPF_REG);
    eval 'sub MAX_BPF_REG () { &__MAX_BPF_REG;}' unless defined(&MAX_BPF_REG);
    eval("sub BPF_CGROUP_ITER_ORDER_UNSPEC () { 0; }") unless defined(&BPF_CGROUP_ITER_ORDER_UNSPEC);
    eval("sub BPF_CGROUP_ITER_SELF_ONLY () { 1; }") unless defined(&BPF_CGROUP_ITER_SELF_ONLY);
    eval("sub BPF_CGROUP_ITER_DESCENDANTS_PRE () { 2; }") unless defined(&BPF_CGROUP_ITER_DESCENDANTS_PRE);
    eval("sub BPF_CGROUP_ITER_DESCENDANTS_POST () { 3; }") unless defined(&BPF_CGROUP_ITER_DESCENDANTS_POST);
    eval("sub BPF_CGROUP_ITER_ANCESTORS_UP () { 4; }") unless defined(&BPF_CGROUP_ITER_ANCESTORS_UP);
    eval("sub BPF_MAP_CREATE () { 0; }") unless defined(&BPF_MAP_CREATE);
    eval("sub BPF_MAP_LOOKUP_ELEM () { 1; }") unless defined(&BPF_MAP_LOOKUP_ELEM);
    eval("sub BPF_MAP_UPDATE_ELEM () { 2; }") unless defined(&BPF_MAP_UPDATE_ELEM);
    eval("sub BPF_MAP_DELETE_ELEM () { 3; }") unless defined(&BPF_MAP_DELETE_ELEM);
    eval("sub BPF_MAP_GET_NEXT_KEY () { 4; }") unless defined(&BPF_MAP_GET_NEXT_KEY);
    eval("sub BPF_PROG_LOAD () { 5; }") unless defined(&BPF_PROG_LOAD);
    eval("sub BPF_OBJ_PIN () { 6; }") unless defined(&BPF_OBJ_PIN);
    eval("sub BPF_OBJ_GET () { 7; }") unless defined(&BPF_OBJ_GET);
    eval("sub BPF_PROG_ATTACH () { 8; }") unless defined(&BPF_PROG_ATTACH);
    eval("sub BPF_PROG_DETACH () { 9; }") unless defined(&BPF_PROG_DETACH);
    eval("sub BPF_PROG_TEST_RUN () { 10; }") unless defined(&BPF_PROG_TEST_RUN);
    eval("sub BPF_PROG_RUN () { BPF_PROG_TEST_RUN; }") unless defined(&BPF_PROG_RUN);
    eval("sub BPF_PROG_GET_NEXT_ID () { 1; }") unless defined(&BPF_PROG_GET_NEXT_ID);
    eval("sub BPF_MAP_GET_NEXT_ID () { 2; }") unless defined(&BPF_MAP_GET_NEXT_ID);
    eval("sub BPF_PROG_GET_FD_BY_ID () { 3; }") unless defined(&BPF_PROG_GET_FD_BY_ID);
    eval("sub BPF_MAP_GET_FD_BY_ID () { 4; }") unless defined(&BPF_MAP_GET_FD_BY_ID);
    eval("sub BPF_OBJ_GET_INFO_BY_FD () { 5; }") unless defined(&BPF_OBJ_GET_INFO_BY_FD);
    eval("sub BPF_PROG_QUERY () { 6; }") unless defined(&BPF_PROG_QUERY);
    eval("sub BPF_RAW_TRACEPOINT_OPEN () { 7; }") unless defined(&BPF_RAW_TRACEPOINT_OPEN);
    eval("sub BPF_BTF_LOAD () { 8; }") unless defined(&BPF_BTF_LOAD);
    eval("sub BPF_BTF_GET_FD_BY_ID () { 9; }") unless defined(&BPF_BTF_GET_FD_BY_ID);
    eval("sub BPF_TASK_FD_QUERY () { 10; }") unless defined(&BPF_TASK_FD_QUERY);
    eval("sub BPF_MAP_LOOKUP_AND_DELETE_ELEM () { 11; }") unless defined(&BPF_MAP_LOOKUP_AND_DELETE_ELEM);
    eval("sub BPF_MAP_FREEZE () { 12; }") unless defined(&BPF_MAP_FREEZE);
    eval("sub BPF_BTF_GET_NEXT_ID () { 13; }") unless defined(&BPF_BTF_GET_NEXT_ID);
    eval("sub BPF_MAP_LOOKUP_BATCH () { 14; }") unless defined(&BPF_MAP_LOOKUP_BATCH);
    eval("sub BPF_MAP_LOOKUP_AND_DELETE_BATCH () { 15; }") unless defined(&BPF_MAP_LOOKUP_AND_DELETE_BATCH);
    eval("sub BPF_MAP_UPDATE_BATCH () { 16; }") unless defined(&BPF_MAP_UPDATE_BATCH);
    eval("sub BPF_MAP_DELETE_BATCH () { 17; }") unless defined(&BPF_MAP_DELETE_BATCH);
    eval("sub BPF_LINK_CREATE () { 18; }") unless defined(&BPF_LINK_CREATE);
    eval("sub BPF_LINK_UPDATE () { 19; }") unless defined(&BPF_LINK_UPDATE);
    eval("sub BPF_LINK_GET_FD_BY_ID () { 20; }") unless defined(&BPF_LINK_GET_FD_BY_ID);
    eval("sub BPF_LINK_GET_NEXT_ID () { 21; }") unless defined(&BPF_LINK_GET_NEXT_ID);
    eval("sub BPF_ENABLE_STATS () { 22; }") unless defined(&BPF_ENABLE_STATS);
    eval("sub BPF_ITER_CREATE () { 23; }") unless defined(&BPF_ITER_CREATE);
    eval("sub BPF_LINK_DETACH () { 24; }") unless defined(&BPF_LINK_DETACH);
    eval("sub BPF_PROG_BIND_MAP () { 25; }") unless defined(&BPF_PROG_BIND_MAP);
    eval("sub BPF_MAP_TYPE_UNSPEC () { 0; }") unless defined(&BPF_MAP_TYPE_UNSPEC);
    eval("sub BPF_MAP_TYPE_HASH () { 1; }") unless defined(&BPF_MAP_TYPE_HASH);
    eval("sub BPF_MAP_TYPE_ARRAY () { 2; }") unless defined(&BPF_MAP_TYPE_ARRAY);
    eval("sub BPF_MAP_TYPE_PROG_ARRAY () { 3; }") unless defined(&BPF_MAP_TYPE_PROG_ARRAY);
    eval("sub BPF_MAP_TYPE_PERF_EVENT_ARRAY () { 4; }") unless defined(&BPF_MAP_TYPE_PERF_EVENT_ARRAY);
    eval("sub BPF_MAP_TYPE_PERCPU_HASH () { 5; }") unless defined(&BPF_MAP_TYPE_PERCPU_HASH);
    eval("sub BPF_MAP_TYPE_PERCPU_ARRAY () { 6; }") unless defined(&BPF_MAP_TYPE_PERCPU_ARRAY);
    eval("sub BPF_MAP_TYPE_STACK_TRACE () { 7; }") unless defined(&BPF_MAP_TYPE_STACK_TRACE);
    eval("sub BPF_MAP_TYPE_CGROUP_ARRAY () { 8; }") unless defined(&BPF_MAP_TYPE_CGROUP_ARRAY);
    eval("sub BPF_MAP_TYPE_LRU_HASH () { 9; }") unless defined(&BPF_MAP_TYPE_LRU_HASH);
    eval("sub BPF_MAP_TYPE_LRU_PERCPU_HASH () { 10; }") unless defined(&BPF_MAP_TYPE_LRU_PERCPU_HASH);
    eval("sub BPF_MAP_TYPE_LPM_TRIE () { 11; }") unless defined(&BPF_MAP_TYPE_LPM_TRIE);
    eval("sub BPF_MAP_TYPE_ARRAY_OF_MAPS () { 12; }") unless defined(&BPF_MAP_TYPE_ARRAY_OF_MAPS);
    eval("sub BPF_MAP_TYPE_HASH_OF_MAPS () { 13; }") unless defined(&BPF_MAP_TYPE_HASH_OF_MAPS);
    eval("sub BPF_MAP_TYPE_DEVMAP () { 14; }") unless defined(&BPF_MAP_TYPE_DEVMAP);
    eval("sub BPF_MAP_TYPE_SOCKMAP () { 15; }") unless defined(&BPF_MAP_TYPE_SOCKMAP);
    eval("sub BPF_MAP_TYPE_CPUMAP () { 16; }") unless defined(&BPF_MAP_TYPE_CPUMAP);
    eval("sub BPF_MAP_TYPE_XSKMAP () { 17; }") unless defined(&BPF_MAP_TYPE_XSKMAP);
    eval("sub BPF_MAP_TYPE_SOCKHASH () { 18; }") unless defined(&BPF_MAP_TYPE_SOCKHASH);
    eval("sub BPF_MAP_TYPE_CGROUP_STORAGE_DEPRECATED () { 19; }") unless defined(&BPF_MAP_TYPE_CGROUP_STORAGE_DEPRECATED);
    eval("sub BPF_MAP_TYPE_CGROUP_STORAGE () { BPF_MAP_TYPE_CGROUP_STORAGE_DEPRECATED; }") unless defined(&BPF_MAP_TYPE_CGROUP_STORAGE);
    eval("sub BPF_MAP_TYPE_REUSEPORT_SOCKARRAY () { 1; }") unless defined(&BPF_MAP_TYPE_REUSEPORT_SOCKARRAY);
    eval("sub BPF_MAP_TYPE_PERCPU_CGROUP_STORAGE () { 2; }") unless defined(&BPF_MAP_TYPE_PERCPU_CGROUP_STORAGE);
    eval("sub BPF_MAP_TYPE_QUEUE () { 3; }") unless defined(&BPF_MAP_TYPE_QUEUE);
    eval("sub BPF_MAP_TYPE_STACK () { 4; }") unless defined(&BPF_MAP_TYPE_STACK);
    eval("sub BPF_MAP_TYPE_SK_STORAGE () { 5; }") unless defined(&BPF_MAP_TYPE_SK_STORAGE);
    eval("sub BPF_MAP_TYPE_DEVMAP_HASH () { 6; }") unless defined(&BPF_MAP_TYPE_DEVMAP_HASH);
    eval("sub BPF_MAP_TYPE_STRUCT_OPS () { 7; }") unless defined(&BPF_MAP_TYPE_STRUCT_OPS);
    eval("sub BPF_MAP_TYPE_RINGBUF () { 8; }") unless defined(&BPF_MAP_TYPE_RINGBUF);
    eval("sub BPF_MAP_TYPE_INODE_STORAGE () { 9; }") unless defined(&BPF_MAP_TYPE_INODE_STORAGE);
    eval("sub BPF_MAP_TYPE_TASK_STORAGE () { 10; }") unless defined(&BPF_MAP_TYPE_TASK_STORAGE);
    eval("sub BPF_MAP_TYPE_BLOOM_FILTER () { 11; }") unless defined(&BPF_MAP_TYPE_BLOOM_FILTER);
    eval("sub BPF_MAP_TYPE_USER_RINGBUF () { 12; }") unless defined(&BPF_MAP_TYPE_USER_RINGBUF);
    eval("sub BPF_MAP_TYPE_CGRP_STORAGE () { 13; }") unless defined(&BPF_MAP_TYPE_CGRP_STORAGE);
    eval("sub BPF_PROG_TYPE_UNSPEC () { 0; }") unless defined(&BPF_PROG_TYPE_UNSPEC);
    eval("sub BPF_PROG_TYPE_SOCKET_FILTER () { 1; }") unless defined(&BPF_PROG_TYPE_SOCKET_FILTER);
    eval("sub BPF_PROG_TYPE_KPROBE () { 2; }") unless defined(&BPF_PROG_TYPE_KPROBE);
    eval("sub BPF_PROG_TYPE_SCHED_CLS () { 3; }") unless defined(&BPF_PROG_TYPE_SCHED_CLS);
    eval("sub BPF_PROG_TYPE_SCHED_ACT () { 4; }") unless defined(&BPF_PROG_TYPE_SCHED_ACT);
    eval("sub BPF_PROG_TYPE_TRACEPOINT () { 5; }") unless defined(&BPF_PROG_TYPE_TRACEPOINT);
    eval("sub BPF_PROG_TYPE_XDP () { 6; }") unless defined(&BPF_PROG_TYPE_XDP);
    eval("sub BPF_PROG_TYPE_PERF_EVENT () { 7; }") unless defined(&BPF_PROG_TYPE_PERF_EVENT);
    eval("sub BPF_PROG_TYPE_CGROUP_SKB () { 8; }") unless defined(&BPF_PROG_TYPE_CGROUP_SKB);
    eval("sub BPF_PROG_TYPE_CGROUP_SOCK () { 9; }") unless defined(&BPF_PROG_TYPE_CGROUP_SOCK);
    eval("sub BPF_PROG_TYPE_LWT_IN () { 10; }") unless defined(&BPF_PROG_TYPE_LWT_IN);
    eval("sub BPF_PROG_TYPE_LWT_OUT () { 11; }") unless defined(&BPF_PROG_TYPE_LWT_OUT);
    eval("sub BPF_PROG_TYPE_LWT_XMIT () { 12; }") unless defined(&BPF_PROG_TYPE_LWT_XMIT);
    eval("sub BPF_PROG_TYPE_SOCK_OPS () { 13; }") unless defined(&BPF_PROG_TYPE_SOCK_OPS);
    eval("sub BPF_PROG_TYPE_SK_SKB () { 14; }") unless defined(&BPF_PROG_TYPE_SK_SKB);
    eval("sub BPF_PROG_TYPE_CGROUP_DEVICE () { 15; }") unless defined(&BPF_PROG_TYPE_CGROUP_DEVICE);
    eval("sub BPF_PROG_TYPE_SK_MSG () { 16; }") unless defined(&BPF_PROG_TYPE_SK_MSG);
    eval("sub BPF_PROG_TYPE_RAW_TRACEPOINT () { 17; }") unless defined(&BPF_PROG_TYPE_RAW_TRACEPOINT);
    eval("sub BPF_PROG_TYPE_CGROUP_SOCK_ADDR () { 18; }") unless defined(&BPF_PROG_TYPE_CGROUP_SOCK_ADDR);
    eval("sub BPF_PROG_TYPE_LWT_SEG6LOCAL () { 19; }") unless defined(&BPF_PROG_TYPE_LWT_SEG6LOCAL);
    eval("sub BPF_PROG_TYPE_LIRC_MODE2 () { 20; }") unless defined(&BPF_PROG_TYPE_LIRC_MODE2);
    eval("sub BPF_PROG_TYPE_SK_REUSEPORT () { 21; }") unless defined(&BPF_PROG_TYPE_SK_REUSEPORT);
    eval("sub BPF_PROG_TYPE_FLOW_DISSECTOR () { 22; }") unless defined(&BPF_PROG_TYPE_FLOW_DISSECTOR);
    eval("sub BPF_PROG_TYPE_CGROUP_SYSCTL () { 23; }") unless defined(&BPF_PROG_TYPE_CGROUP_SYSCTL);
    eval("sub BPF_PROG_TYPE_RAW_TRACEPOINT_WRITABLE () { 24; }") unless defined(&BPF_PROG_TYPE_RAW_TRACEPOINT_WRITABLE);
    eval("sub BPF_PROG_TYPE_CGROUP_SOCKOPT () { 25; }") unless defined(&BPF_PROG_TYPE_CGROUP_SOCKOPT);
    eval("sub BPF_PROG_TYPE_TRACING () { 26; }") unless defined(&BPF_PROG_TYPE_TRACING);
    eval("sub BPF_PROG_TYPE_STRUCT_OPS () { 27; }") unless defined(&BPF_PROG_TYPE_STRUCT_OPS);
    eval("sub BPF_PROG_TYPE_EXT () { 28; }") unless defined(&BPF_PROG_TYPE_EXT);
    eval("sub BPF_PROG_TYPE_LSM () { 29; }") unless defined(&BPF_PROG_TYPE_LSM);
    eval("sub BPF_PROG_TYPE_SK_LOOKUP () { 30; }") unless defined(&BPF_PROG_TYPE_SK_LOOKUP);
    eval("sub BPF_PROG_TYPE_SYSCALL () { 31; }") unless defined(&BPF_PROG_TYPE_SYSCALL);
    eval("sub BPF_PROG_TYPE_NETFILTER () { 32; }") unless defined(&BPF_PROG_TYPE_NETFILTER);
    eval("sub BPF_CGROUP_INET_INGRESS () { 0; }") unless defined(&BPF_CGROUP_INET_INGRESS);
    eval("sub BPF_CGROUP_INET_EGRESS () { 1; }") unless defined(&BPF_CGROUP_INET_EGRESS);
    eval("sub BPF_CGROUP_INET_SOCK_CREATE () { 2; }") unless defined(&BPF_CGROUP_INET_SOCK_CREATE);
    eval("sub BPF_CGROUP_SOCK_OPS () { 3; }") unless defined(&BPF_CGROUP_SOCK_OPS);
    eval("sub BPF_SK_SKB_STREAM_PARSER () { 4; }") unless defined(&BPF_SK_SKB_STREAM_PARSER);
    eval("sub BPF_SK_SKB_STREAM_VERDICT () { 5; }") unless defined(&BPF_SK_SKB_STREAM_VERDICT);
    eval("sub BPF_CGROUP_DEVICE () { 6; }") unless defined(&BPF_CGROUP_DEVICE);
    eval("sub BPF_SK_MSG_VERDICT () { 7; }") unless defined(&BPF_SK_MSG_VERDICT);
    eval("sub BPF_CGROUP_INET4_BIND () { 8; }") unless defined(&BPF_CGROUP_INET4_BIND);
    eval("sub BPF_CGROUP_INET6_BIND () { 9; }") unless defined(&BPF_CGROUP_INET6_BIND);
    eval("sub BPF_CGROUP_INET4_CONNECT () { 10; }") unless defined(&BPF_CGROUP_INET4_CONNECT);
    eval("sub BPF_CGROUP_INET6_CONNECT () { 11; }") unless defined(&BPF_CGROUP_INET6_CONNECT);
    eval("sub BPF_CGROUP_INET4_POST_BIND () { 12; }") unless defined(&BPF_CGROUP_INET4_POST_BIND);
    eval("sub BPF_CGROUP_INET6_POST_BIND () { 13; }") unless defined(&BPF_CGROUP_INET6_POST_BIND);
    eval("sub BPF_CGROUP_UDP4_SENDMSG () { 14; }") unless defined(&BPF_CGROUP_UDP4_SENDMSG);
    eval("sub BPF_CGROUP_UDP6_SENDMSG () { 15; }") unless defined(&BPF_CGROUP_UDP6_SENDMSG);
    eval("sub BPF_LIRC_MODE2 () { 16; }") unless defined(&BPF_LIRC_MODE2);
    eval("sub BPF_FLOW_DISSECTOR () { 17; }") unless defined(&BPF_FLOW_DISSECTOR);
    eval("sub BPF_CGROUP_SYSCTL () { 18; }") unless defined(&BPF_CGROUP_SYSCTL);
    eval("sub BPF_CGROUP_UDP4_RECVMSG () { 19; }") unless defined(&BPF_CGROUP_UDP4_RECVMSG);
    eval("sub BPF_CGROUP_UDP6_RECVMSG () { 20; }") unless defined(&BPF_CGROUP_UDP6_RECVMSG);
    eval("sub BPF_CGROUP_GETSOCKOPT () { 21; }") unless defined(&BPF_CGROUP_GETSOCKOPT);
    eval("sub BPF_CGROUP_SETSOCKOPT () { 22; }") unless defined(&BPF_CGROUP_SETSOCKOPT);
    eval("sub BPF_TRACE_RAW_TP () { 23; }") unless defined(&BPF_TRACE_RAW_TP);
    eval("sub BPF_TRACE_FENTRY () { 24; }") unless defined(&BPF_TRACE_FENTRY);
    eval("sub BPF_TRACE_FEXIT () { 25; }") unless defined(&BPF_TRACE_FEXIT);
    eval("sub BPF_MODIFY_RETURN () { 26; }") unless defined(&BPF_MODIFY_RETURN);
    eval("sub BPF_LSM_MAC () { 27; }") unless defined(&BPF_LSM_MAC);
    eval("sub BPF_TRACE_ITER () { 28; }") unless defined(&BPF_TRACE_ITER);
    eval("sub BPF_CGROUP_INET4_GETPEERNAME () { 29; }") unless defined(&BPF_CGROUP_INET4_GETPEERNAME);
    eval("sub BPF_CGROUP_INET6_GETPEERNAME () { 30; }") unless defined(&BPF_CGROUP_INET6_GETPEERNAME);
    eval("sub BPF_CGROUP_INET4_GETSOCKNAME () { 31; }") unless defined(&BPF_CGROUP_INET4_GETSOCKNAME);
    eval("sub BPF_CGROUP_INET6_GETSOCKNAME () { 32; }") unless defined(&BPF_CGROUP_INET6_GETSOCKNAME);
    eval("sub BPF_XDP_DEVMAP () { 33; }") unless defined(&BPF_XDP_DEVMAP);
    eval("sub BPF_CGROUP_INET_SOCK_RELEASE () { 34; }") unless defined(&BPF_CGROUP_INET_SOCK_RELEASE);
    eval("sub BPF_XDP_CPUMAP () { 35; }") unless defined(&BPF_XDP_CPUMAP);
    eval("sub BPF_SK_LOOKUP () { 36; }") unless defined(&BPF_SK_LOOKUP);
    eval("sub BPF_XDP () { 37; }") unless defined(&BPF_XDP);
    eval("sub BPF_SK_SKB_VERDICT () { 38; }") unless defined(&BPF_SK_SKB_VERDICT);
    eval("sub BPF_SK_REUSEPORT_SELECT () { 39; }") unless defined(&BPF_SK_REUSEPORT_SELECT);
    eval("sub BPF_SK_REUSEPORT_SELECT_OR_MIGRATE () { 40; }") unless defined(&BPF_SK_REUSEPORT_SELECT_OR_MIGRATE);
    eval("sub BPF_PERF_EVENT () { 41; }") unless defined(&BPF_PERF_EVENT);
    eval("sub BPF_TRACE_KPROBE_MULTI () { 42; }") unless defined(&BPF_TRACE_KPROBE_MULTI);
    eval("sub BPF_LSM_CGROUP () { 43; }") unless defined(&BPF_LSM_CGROUP);
    eval("sub BPF_STRUCT_OPS () { 44; }") unless defined(&BPF_STRUCT_OPS);
    eval("sub BPF_NETFILTER () { 45; }") unless defined(&BPF_NETFILTER);
    eval("sub BPF_TCX_INGRESS () { 46; }") unless defined(&BPF_TCX_INGRESS);
    eval("sub BPF_TCX_EGRESS () { 47; }") unless defined(&BPF_TCX_EGRESS);
    eval("sub BPF_TRACE_UPROBE_MULTI () { 48; }") unless defined(&BPF_TRACE_UPROBE_MULTI);
    eval("sub __MAX_BPF_ATTACH_TYPE () { 49; }") unless defined(&__MAX_BPF_ATTACH_TYPE);
    eval 'sub MAX_BPF_ATTACH_TYPE () { &__MAX_BPF_ATTACH_TYPE;}' unless defined(&MAX_BPF_ATTACH_TYPE);
    eval("sub BPF_LINK_TYPE_UNSPEC () { 0; }") unless defined(&BPF_LINK_TYPE_UNSPEC);
    eval("sub BPF_LINK_TYPE_RAW_TRACEPOINT () { 1; }") unless defined(&BPF_LINK_TYPE_RAW_TRACEPOINT);
    eval("sub BPF_LINK_TYPE_TRACING () { 2; }") unless defined(&BPF_LINK_TYPE_TRACING);
    eval("sub BPF_LINK_TYPE_CGROUP () { 3; }") unless defined(&BPF_LINK_TYPE_CGROUP);
    eval("sub BPF_LINK_TYPE_ITER () { 4; }") unless defined(&BPF_LINK_TYPE_ITER);
    eval("sub BPF_LINK_TYPE_NETNS () { 5; }") unless defined(&BPF_LINK_TYPE_NETNS);
    eval("sub BPF_LINK_TYPE_XDP () { 6; }") unless defined(&BPF_LINK_TYPE_XDP);
    eval("sub BPF_LINK_TYPE_PERF_EVENT () { 7; }") unless defined(&BPF_LINK_TYPE_PERF_EVENT);
    eval("sub BPF_LINK_TYPE_KPROBE_MULTI () { 8; }") unless defined(&BPF_LINK_TYPE_KPROBE_MULTI);
    eval("sub BPF_LINK_TYPE_STRUCT_OPS () { 9; }") unless defined(&BPF_LINK_TYPE_STRUCT_OPS);
    eval("sub BPF_LINK_TYPE_NETFILTER () { 10; }") unless defined(&BPF_LINK_TYPE_NETFILTER);
    eval("sub BPF_LINK_TYPE_TCX () { 11; }") unless defined(&BPF_LINK_TYPE_TCX);
    eval("sub BPF_LINK_TYPE_UPROBE_MULTI () { 12; }") unless defined(&BPF_LINK_TYPE_UPROBE_MULTI);
    eval("sub MAX_BPF_LINK_TYPE () { 13; }") unless defined(&MAX_BPF_LINK_TYPE);
    eval("sub BPF_PERF_EVENT_UNSPEC () { 0; }") unless defined(&BPF_PERF_EVENT_UNSPEC);
    eval("sub BPF_PERF_EVENT_UPROBE () { 1; }") unless defined(&BPF_PERF_EVENT_UPROBE);
    eval("sub BPF_PERF_EVENT_URETPROBE () { 2; }") unless defined(&BPF_PERF_EVENT_URETPROBE);
    eval("sub BPF_PERF_EVENT_KPROBE () { 3; }") unless defined(&BPF_PERF_EVENT_KPROBE);
    eval("sub BPF_PERF_EVENT_KRETPROBE () { 4; }") unless defined(&BPF_PERF_EVENT_KRETPROBE);
    eval("sub BPF_PERF_EVENT_TRACEPOINT () { 5; }") unless defined(&BPF_PERF_EVENT_TRACEPOINT);
    eval("sub BPF_PERF_EVENT_EVENT () { 6; }") unless defined(&BPF_PERF_EVENT_EVENT);
    eval 'sub BPF_F_ALLOW_OVERRIDE () {(1 << 0);}' unless defined(&BPF_F_ALLOW_OVERRIDE);
    eval 'sub BPF_F_ALLOW_MULTI () {(1 << 1);}' unless defined(&BPF_F_ALLOW_MULTI);
    eval 'sub BPF_F_REPLACE () {(1 << 2);}' unless defined(&BPF_F_REPLACE);
    eval 'sub BPF_F_BEFORE () {(1 << 3);}' unless defined(&BPF_F_BEFORE);
    eval 'sub BPF_F_AFTER () {(1 << 4);}' unless defined(&BPF_F_AFTER);
    eval 'sub BPF_F_ID () {(1 << 5);}' unless defined(&BPF_F_ID);
    eval 'sub BPF_F_STRICT_ALIGNMENT () {(1 << 0);}' unless defined(&BPF_F_STRICT_ALIGNMENT);
    eval 'sub BPF_F_ANY_ALIGNMENT () {(1 << 1);}' unless defined(&BPF_F_ANY_ALIGNMENT);
    eval 'sub BPF_F_TEST_RND_HI32 () {(1 << 2);}' unless defined(&BPF_F_TEST_RND_HI32);
    eval 'sub BPF_F_TEST_STATE_FREQ () {(1 << 3);}' unless defined(&BPF_F_TEST_STATE_FREQ);
    eval 'sub BPF_F_SLEEPABLE () {(1 << 4);}' unless defined(&BPF_F_SLEEPABLE);
    eval 'sub BPF_F_XDP_HAS_FRAGS () {(1 << 5);}' unless defined(&BPF_F_XDP_HAS_FRAGS);
    eval 'sub BPF_F_XDP_DEV_BOUND_ONLY () {(1 << 6);}' unless defined(&BPF_F_XDP_DEV_BOUND_ONLY);
    eval("sub BPF_F_KPROBE_MULTI_RETURN () { (1U<<0); }") unless defined(&BPF_F_KPROBE_MULTI_RETURN);
    eval("sub BPF_F_UPROBE_MULTI_RETURN () { (1U<<0); }") unless defined(&BPF_F_UPROBE_MULTI_RETURN);
    eval 'sub BPF_F_NETFILTER_IP_DEFRAG () {(1 << 0);}' unless defined(&BPF_F_NETFILTER_IP_DEFRAG);
    eval 'sub BPF_PSEUDO_MAP_FD () {1;}' unless defined(&BPF_PSEUDO_MAP_FD);
    eval 'sub BPF_PSEUDO_MAP_IDX () {5;}' unless defined(&BPF_PSEUDO_MAP_IDX);
    eval 'sub BPF_PSEUDO_MAP_VALUE () {2;}' unless defined(&BPF_PSEUDO_MAP_VALUE);
    eval 'sub BPF_PSEUDO_MAP_IDX_VALUE () {6;}' unless defined(&BPF_PSEUDO_MAP_IDX_VALUE);
    eval 'sub BPF_PSEUDO_BTF_ID () {3;}' unless defined(&BPF_PSEUDO_BTF_ID);
    eval 'sub BPF_PSEUDO_FUNC () {4;}' unless defined(&BPF_PSEUDO_FUNC);
    eval 'sub BPF_PSEUDO_CALL () {1;}' unless defined(&BPF_PSEUDO_CALL);
    eval 'sub BPF_PSEUDO_KFUNC_CALL () {2;}' unless defined(&BPF_PSEUDO_KFUNC_CALL);
    eval("sub BPF_ANY () { 0; }") unless defined(&BPF_ANY);
    eval("sub BPF_NOEXIST () { 1; }") unless defined(&BPF_NOEXIST);
    eval("sub BPF_EXIST () { 2; }") unless defined(&BPF_EXIST);
    eval("sub BPF_F_LOCK () { 4; }") unless defined(&BPF_F_LOCK);
    eval("sub BPF_F_NO_PREALLOC () { (1U<<0); }") unless defined(&BPF_F_NO_PREALLOC);
    eval("sub BPF_F_NO_COMMON_LRU () { (1U<<1); }") unless defined(&BPF_F_NO_COMMON_LRU);
    eval("sub BPF_F_NUMA_NODE () { (1U<<2); }") unless defined(&BPF_F_NUMA_NODE);
    eval("sub BPF_F_RDONLY () { (1U<<3); }") unless defined(&BPF_F_RDONLY);
    eval("sub BPF_F_WRONLY () { (1U<<4); }") unless defined(&BPF_F_WRONLY);
    eval("sub BPF_F_STACK_BUILD_ID () { (1U<<5); }") unless defined(&BPF_F_STACK_BUILD_ID);
    eval("sub BPF_F_ZERO_SEED () { (1U<<6); }") unless defined(&BPF_F_ZERO_SEED);
    eval("sub BPF_F_RDONLY_PROG () { (1U<<7); }") unless defined(&BPF_F_RDONLY_PROG);
    eval("sub BPF_F_WRONLY_PROG () { (1U<<8); }") unless defined(&BPF_F_WRONLY_PROG);
    eval("sub BPF_F_CLONE () { (1U<<9); }") unless defined(&BPF_F_CLONE);
    eval("sub BPF_F_MMAPABLE () { (1U<<10); }") unless defined(&BPF_F_MMAPABLE);
    eval("sub BPF_F_PRESERVE_ELEMS () { (1U<<11); }") unless defined(&BPF_F_PRESERVE_ELEMS);
    eval("sub BPF_F_INNER_MAP () { (1U<<12); }") unless defined(&BPF_F_INNER_MAP);
    eval("sub BPF_F_LINK () { (1U<<13); }") unless defined(&BPF_F_LINK);
    eval("sub BPF_F_PATH_FD () { (1U<<14); }") unless defined(&BPF_F_PATH_FD);
    eval 'sub BPF_F_QUERY_EFFECTIVE () {(1 << 0);}' unless defined(&BPF_F_QUERY_EFFECTIVE);
    eval 'sub BPF_F_TEST_RUN_ON_CPU () {(1 << 0);}' unless defined(&BPF_F_TEST_RUN_ON_CPU);
    eval 'sub BPF_F_TEST_XDP_LIVE_FRAMES () {(1 << 1);}' unless defined(&BPF_F_TEST_XDP_LIVE_FRAMES);
    eval("sub BPF_STATS_RUN_TIME () { 0; }") unless defined(&BPF_STATS_RUN_TIME);
    eval("sub BPF_STACK_BUILD_ID_EMPTY () { 0; }") unless defined(&BPF_STACK_BUILD_ID_EMPTY);
    eval("sub BPF_STACK_BUILD_ID_VALID () { 1; }") unless defined(&BPF_STACK_BUILD_ID_VALID);
    eval("sub BPF_STACK_BUILD_ID_IP () { 2; }") unless defined(&BPF_STACK_BUILD_ID_IP);
    eval 'sub BPF_BUILD_ID_SIZE () {20;}' unless defined(&BPF_BUILD_ID_SIZE);
    eval 'sub BPF_OBJ_NAME_LEN () {16;}' unless defined(&BPF_OBJ_NAME_LEN);
    eval 'sub ___BPF_FUNC_MAPPER () {( &FN,  &ctx...)  &FN( &unspec, 0,  &ctx)  &FN( &map_lookup_elem, 1,  &ctx)  &FN( &map_update_elem, 2,  &ctx)  &FN( &map_delete_elem, 3,  &ctx)  &FN( &probe_read, 4,  &ctx)  &FN( &ktime_get_ns, 5,  &ctx)  &FN( &trace_printk, 6,  &ctx)  &FN( &get_prandom_u32, 7,  &ctx)  &FN( &get_smp_processor_id, 8,  &ctx)  &FN( &skb_store_bytes, 9,  &ctx)  &FN( &l3_csum_replace, 10,  &ctx)  &FN( &l4_csum_replace, 11,  &ctx)  &FN( &tail_call, 12,  &ctx)  &FN( &clone_redirect, 13,  &ctx)  &FN( &get_current_pid_tgid, 14,  &ctx)  &FN( &get_current_uid_gid, 15,  &ctx)  &FN( &get_current_comm, 16,  &ctx)  &FN( &get_cgroup_classid, 17,  &ctx)  &FN( &skb_vlan_push, 18,  &ctx)  &FN( &skb_vlan_pop, 19,  &ctx)  &FN( &skb_get_tunnel_key, 20,  &ctx)  &FN( &skb_set_tunnel_key, 21,  &ctx)  &FN( &perf_event_read, 22,  &ctx)  &FN( &redirect, 23,  &ctx)  &FN( &get_route_realm, 24,  &ctx)  &FN( &perf_event_output, 25,  &ctx)  &FN( &skb_load_bytes, 26,  &ctx)  &FN( &get_stackid, 27,  &ctx)  &FN( &csum_diff, 28,  &ctx)  &FN( &skb_get_tunnel_opt, 29,  &ctx)  &FN( &skb_set_tunnel_opt, 30,  &ctx)  &FN( &skb_change_proto, 31,  &ctx)  &FN( &skb_change_type, 32,  &ctx)  &FN( &skb_under_cgroup, 33,  &ctx)  &FN( &get_hash_recalc, 34,  &ctx)  &FN( &get_current_task, 35,  &ctx)  &FN( &probe_write_user, 36,  &ctx)  &FN( &current_task_under_cgroup, 37,  &ctx)  &FN( &skb_change_tail, 38,  &ctx)  &FN( &skb_pull_data, 39,  &ctx)  &FN( &csum_update, 40,  &ctx)  &FN( &set_hash_invalid, 41,  &ctx)  &FN( &get_numa_node_id, 42,  &ctx)  &FN( &skb_change_head, 43,  &ctx)  &FN( &xdp_adjust_head, 44,  &ctx)  &FN( &probe_read_str, 45,  &ctx)  &FN( &get_socket_cookie, 46,  &ctx)  &FN( &get_socket_uid, 47,  &ctx)  &FN( &set_hash, 48,  &ctx)  &FN( &setsockopt, 49,  &ctx)  &FN( &skb_adjust_room, 50,  &ctx)  &FN( &redirect_map, 51,  &ctx)  &FN( &sk_redirect_map, 52,  &ctx)  &FN( &sock_map_update, 53,  &ctx)  &FN( &xdp_adjust_meta, 54,  &ctx)  &FN( &perf_event_read_value, 55,  &ctx)  &FN( &perf_prog_read_value, 56,  &ctx)  &FN( &getsockopt, 57,  &ctx)  &FN( &override_return, 58,  &ctx)  &FN( &sock_ops_cb_flags_set, 59,  &ctx)  &FN( &msg_redirect_map, 60,  &ctx)  &FN( &msg_apply_bytes, 61,  &ctx)  &FN( &msg_cork_bytes, 62,  &ctx)  &FN( &msg_pull_data, 63,  &ctx)  &FN( &bind, 64,  &ctx)  &FN( &xdp_adjust_tail, 65,  &ctx)  &FN( &skb_get_xfrm_state, 66,  &ctx)  &FN( &get_stack, 67,  &ctx)  &FN( &skb_load_bytes_relative, 68,  &ctx)  &FN( &fib_lookup, 69,  &ctx)  &FN( &sock_hash_update, 70,  &ctx)  &FN( &msg_redirect_hash, 71,  &ctx)  &FN( &sk_redirect_hash, 72,  &ctx)  &FN( &lwt_push_encap, 73,  &ctx)  &FN( &lwt_seg6_store_bytes, 74,  &ctx)  &FN( &lwt_seg6_adjust_srh, 75,  &ctx)  &FN( &lwt_seg6_action, 76,  &ctx)  &FN( &rc_repeat, 77,  &ctx)  &FN( &rc_keydown, 78,  &ctx)  &FN( &skb_cgroup_id, 79,  &ctx)  &FN( &get_current_cgroup_id, 80,  &ctx)  &FN( &get_local_storage, 81,  &ctx)  &FN( &sk_select_reuseport, 82,  &ctx)  &FN( &skb_ancestor_cgroup_id, 83,  &ctx)  &FN( &sk_lookup_tcp, 84,  &ctx)  &FN( &sk_lookup_udp, 85,  &ctx)  &FN( &sk_release, 86,  &ctx)  &FN( &map_push_elem, 87,  &ctx)  &FN( &map_pop_elem, 88,  &ctx)  &FN( &map_peek_elem, 89,  &ctx)  &FN( &msg_push_data, 90,  &ctx)  &FN( &msg_pop_data, 91,  &ctx)  &FN( &rc_pointer_rel, 92,  &ctx)  &FN( &spin_lock, 93,  &ctx)  &FN( &spin_unlock, 94,  &ctx)  &FN( &sk_fullsock, 95,  &ctx)  &FN( &tcp_sock, 96,  &ctx)  &FN( &skb_ecn_set_ce, 97,  &ctx)  &FN( &get_listener_sock, 98,  &ctx)  &FN( &skc_lookup_tcp, 99,  &ctx)  &FN( &tcp_check_syncookie, 100,  &ctx)  &FN( &sysctl_get_name, 101,  &ctx)  &FN( &sysctl_get_current_value, 102,  &ctx)  &FN( &sysctl_get_new_value, 103,  &ctx)  &FN( &sysctl_set_new_value, 104,  &ctx)  &FN( &strtol, 105,  &ctx)  &FN( &strtoul, 106,  &ctx)  &FN( &sk_storage_get, 107,  &ctx)  &FN( &sk_storage_delete, 108,  &ctx)  &FN( &send_signal, 109,  &ctx)  &FN( &tcp_gen_syncookie, 110,  &ctx)  &FN( &skb_output, 111,  &ctx)  &FN( &probe_read_user, 112,  &ctx)  &FN( &probe_read_kernel, 113,  &ctx)  &FN( &probe_read_user_str, 114,  &ctx)  &FN( &probe_read_kernel_str, 115,  &ctx)  &FN( &tcp_send_ack, 116,  &ctx)  &FN( &send_signal_thread, 117,  &ctx)  &FN( &jiffies64, 118,  &ctx)  &FN( &read_branch_records, 119,  &ctx)  &FN( &get_ns_current_pid_tgid, 120,  &ctx)  &FN( &xdp_output, 121,  &ctx)  &FN( &get_netns_cookie, 122,  &ctx)  &FN( &get_current_ancestor_cgroup_id, 123,  &ctx)  &FN( &sk_assign, 124,  &ctx)  &FN( &ktime_get_boot_ns, 125,  &ctx)  &FN( &seq_printf, 126,  &ctx)  &FN( &seq_write, 127,  &ctx)  &FN( &sk_cgroup_id, 128,  &ctx)  &FN( &sk_ancestor_cgroup_id, 129,  &ctx)  &FN( &ringbuf_output, 130,  &ctx)  &FN( &ringbuf_reserve, 131,  &ctx)  &FN( &ringbuf_submit, 132,  &ctx)  &FN( &ringbuf_discard, 133,  &ctx)  &FN( &ringbuf_query, 134,  &ctx)  &FN( &csum_level, 135,  &ctx)  &FN( &skc_to_tcp6_sock, 136,  &ctx)  &FN( &skc_to_tcp_sock, 137,  &ctx)  &FN( &skc_to_tcp_timewait_sock, 138,  &ctx)  &FN( &skc_to_tcp_request_sock, 139,  &ctx)  &FN( &skc_to_udp6_sock, 140,  &ctx)  &FN( &get_task_stack, 141,  &ctx)  &FN( &load_hdr_opt, 142,  &ctx)  &FN( &store_hdr_opt, 143,  &ctx)  &FN( &reserve_hdr_opt, 144,  &ctx)  &FN( &inode_storage_get, 145,  &ctx)  &FN( &inode_storage_delete, 146,  &ctx)  &FN( &d_path, 147,  &ctx)  &FN( &copy_from_user, 148,  &ctx)  &FN( &snprintf_btf, 149,  &ctx)  &FN( &seq_printf_btf, 150,  &ctx)  &FN( &skb_cgroup_classid, 151,  &ctx)  &FN( &redirect_neigh, 152,  &ctx)  &FN( &per_cpu_ptr, 153,  &ctx)  &FN( &this_cpu_ptr, 154,  &ctx)  &FN( &redirect_peer, 155,  &ctx)  &FN( &task_storage_get, 156,  &ctx)  &FN( &task_storage_delete, 157,  &ctx)  &FN( &get_current_task_btf, 158,  &ctx)  &FN( &bprm_opts_set, 159,  &ctx)  &FN( &ktime_get_coarse_ns, 160,  &ctx)  &FN( &ima_inode_hash, 161,  &ctx)  &FN( &sock_from_file, 162,  &ctx)  &FN( &check_mtu, 163,  &ctx)  &FN( &for_each_map_elem, 164,  &ctx)  &FN( &snprintf, 165,  &ctx)  &FN( &sys_bpf, 166,  &ctx)  &FN( &btf_find_by_name_kind, 167,  &ctx)  &FN( &sys_close, 168,  &ctx)  &FN( &timer_init, 169,  &ctx)  &FN( &timer_set_callback, 170,  &ctx)  &FN( &timer_start, 171,  &ctx)  &FN( &timer_cancel, 172,  &ctx)  &FN( &get_func_ip, 173,  &ctx)  &FN( &get_attach_cookie, 174,  &ctx)  &FN( &task_pt_regs, 175,  &ctx)  &FN( &get_branch_snapshot, 176,  &ctx)  &FN( &trace_vprintk, 177,  &ctx)  &FN( &skc_to_unix_sock, 178,  &ctx)  &FN( &kallsyms_lookup_name, 179,  &ctx)  &FN( &find_vma, 180,  &ctx)  &FN( &loop, 181,  &ctx)  &FN( &strncmp, 182,  &ctx)  &FN( &get_func_arg, 183,  &ctx)  &FN( &get_func_ret, 184,  &ctx)  &FN( &get_func_arg_cnt, 185,  &ctx)  &FN( &get_retval, 186,  &ctx)  &FN( &set_retval, 187,  &ctx)  &FN( &xdp_get_buff_len, 188,  &ctx)  &FN( &xdp_load_bytes, 189,  &ctx)  &FN( &xdp_store_bytes, 190,  &ctx)  &FN( &copy_from_user_task, 191,  &ctx)  &FN( &skb_set_tstamp, 192,  &ctx)  &FN( &ima_file_hash, 193,  &ctx)  &FN( &kptr_xchg, 194,  &ctx)  &FN( &map_lookup_percpu_elem, 195,  &ctx)  &FN( &skc_to_mptcp_sock, 196,  &ctx)  &FN( &dynptr_from_mem, 197,  &ctx)  &FN( &ringbuf_reserve_dynptr, 198,  &ctx)  &FN( &ringbuf_submit_dynptr, 199,  &ctx)  &FN( &ringbuf_discard_dynptr, 200,  &ctx)  &FN( &dynptr_read, 201,  &ctx)  &FN( &dynptr_write, 202,  &ctx)  &FN( &dynptr_data, 203,  &ctx)  &FN( &tcp_raw_gen_syncookie_ipv4, 204,  &ctx)  &FN( &tcp_raw_gen_syncookie_ipv6, 205,  &ctx)  &FN( &tcp_raw_check_syncookie_ipv4, 206,  &ctx)  &FN( &tcp_raw_check_syncookie_ipv6, 207,  &ctx)  &FN( &ktime_get_tai_ns, 208,  &ctx)  &FN( &user_ringbuf_drain, 209,  &ctx)  &FN( &cgrp_storage_get, 210,  &ctx)  &FN( &cgrp_storage_delete, 211,  &ctx);}' unless defined(&___BPF_FUNC_MAPPER);
    eval 'sub __BPF_FUNC_MAPPER_APPLY {
        my($name, $value, $FN) = @_;
	    eval q($FN($name),);
    }' unless defined(&__BPF_FUNC_MAPPER_APPLY);
    eval 'sub __BPF_FUNC_MAPPER {
        my($FN) = @_;
	    eval q( &___BPF_FUNC_MAPPER( &__BPF_FUNC_MAPPER_APPLY, $FN));
    }' unless defined(&__BPF_FUNC_MAPPER);
    eval 'sub __BPF_ENUM_FN {
        my($x, $y) = @_;
	    eval q( &BPF_FUNC_  $x = $y,);
    }' unless defined(&__BPF_ENUM_FN);
    undef(&__BPF_ENUM_FN) if defined(&__BPF_ENUM_FN);
    eval("sub BPF_F_RECOMPUTE_CSUM () { (1ULL<<0); }") unless defined(&BPF_F_RECOMPUTE_CSUM);
    eval("sub BPF_F_INVALIDATE_HASH () { (1ULL<<1); }") unless defined(&BPF_F_INVALIDATE_HASH);
    eval("sub BPF_F_HDR_FIELD_MASK () { 0xfULL; }") unless defined(&BPF_F_HDR_FIELD_MASK);
    eval("sub BPF_F_PSEUDO_HDR () { (1ULL<<4); }") unless defined(&BPF_F_PSEUDO_HDR);
    eval("sub BPF_F_MARK_MANGLED_0 () { (1ULL<<5); }") unless defined(&BPF_F_MARK_MANGLED_0);
    eval("sub BPF_F_MARK_ENFORCE () { (1ULL<<6); }") unless defined(&BPF_F_MARK_ENFORCE);
    eval("sub BPF_F_INGRESS () { (1ULL<<0); }") unless defined(&BPF_F_INGRESS);
    eval("sub BPF_F_TUNINFO_IPV6 () { (1ULL<<0); }") unless defined(&BPF_F_TUNINFO_IPV6);
    eval("sub BPF_F_SKIP_FIELD_MASK () { 0xffULL; }") unless defined(&BPF_F_SKIP_FIELD_MASK);
    eval("sub BPF_F_USER_STACK () { (1ULL<<8); }") unless defined(&BPF_F_USER_STACK);
    eval("sub BPF_F_FAST_STACK_CMP () { (1ULL<<9); }") unless defined(&BPF_F_FAST_STACK_CMP);
    eval("sub BPF_F_REUSE_STACKID () { (1ULL<<10); }") unless defined(&BPF_F_REUSE_STACKID);
    eval("sub BPF_F_USER_BUILD_ID () { (1ULL<<11); }") unless defined(&BPF_F_USER_BUILD_ID);
    eval("sub BPF_F_ZERO_CSUM_TX () { (1ULL<<1); }") unless defined(&BPF_F_ZERO_CSUM_TX);
    eval("sub BPF_F_DONT_FRAGMENT () { (1ULL<<2); }") unless defined(&BPF_F_DONT_FRAGMENT);
    eval("sub BPF_F_SEQ_NUMBER () { (1ULL<<3); }") unless defined(&BPF_F_SEQ_NUMBER);
    eval("sub BPF_F_NO_TUNNEL_KEY () { (1ULL<<4); }") unless defined(&BPF_F_NO_TUNNEL_KEY);
    eval("sub BPF_F_TUNINFO_FLAGS () { (1ULL<<4); }") unless defined(&BPF_F_TUNINFO_FLAGS);
    eval("sub BPF_F_INDEX_MASK () { 0xffffffffULL; }") unless defined(&BPF_F_INDEX_MASK);
    eval("sub BPF_F_CURRENT_CPU () { BPF_F_INDEX_MASK; }") unless defined(&BPF_F_CURRENT_CPU);
    eval("sub BPF_F_CTXLEN_MASK () { (0xfffffULL<<32); }") unless defined(&BPF_F_CTXLEN_MASK);
    eval("sub BPF_F_CURRENT_NETNS () { (-1L); }") unless defined(&BPF_F_CURRENT_NETNS);
    eval("sub BPF_CSUM_LEVEL_QUERY () { 0; }") unless defined(&BPF_CSUM_LEVEL_QUERY);
    eval("sub BPF_CSUM_LEVEL_INC () { 1; }") unless defined(&BPF_CSUM_LEVEL_INC);
    eval("sub BPF_CSUM_LEVEL_DEC () { 2; }") unless defined(&BPF_CSUM_LEVEL_DEC);
    eval("sub BPF_CSUM_LEVEL_RESET () { 3; }") unless defined(&BPF_CSUM_LEVEL_RESET);
    eval("sub BPF_F_ADJ_ROOM_FIXED_GSO () { (1ULL<<0); }") unless defined(&BPF_F_ADJ_ROOM_FIXED_GSO);
    eval("sub BPF_F_ADJ_ROOM_ENCAP_L3_IPV4 () { (1ULL<<1); }") unless defined(&BPF_F_ADJ_ROOM_ENCAP_L3_IPV4);
    eval("sub BPF_F_ADJ_ROOM_ENCAP_L3_IPV6 () { (1ULL<<2); }") unless defined(&BPF_F_ADJ_ROOM_ENCAP_L3_IPV6);
    eval("sub BPF_F_ADJ_ROOM_ENCAP_L4_GRE () { (1ULL<<3); }") unless defined(&BPF_F_ADJ_ROOM_ENCAP_L4_GRE);
    eval("sub BPF_F_ADJ_ROOM_ENCAP_L4_UDP () { (1ULL<<4); }") unless defined(&BPF_F_ADJ_ROOM_ENCAP_L4_UDP);
    eval("sub BPF_F_ADJ_ROOM_NO_CSUM_RESET () { (1ULL<<5); }") unless defined(&BPF_F_ADJ_ROOM_NO_CSUM_RESET);
    eval("sub BPF_F_ADJ_ROOM_ENCAP_L2_ETH () { (1ULL<<6); }") unless defined(&BPF_F_ADJ_ROOM_ENCAP_L2_ETH);
    eval("sub BPF_F_ADJ_ROOM_DECAP_L3_IPV4 () { (1ULL<<7); }") unless defined(&BPF_F_ADJ_ROOM_DECAP_L3_IPV4);
    eval("sub BPF_F_ADJ_ROOM_DECAP_L3_IPV6 () { (1ULL<<8); }") unless defined(&BPF_F_ADJ_ROOM_DECAP_L3_IPV6);
    eval("sub BPF_ADJ_ROOM_ENCAP_L2_MASK () { 0xff; }") unless defined(&BPF_ADJ_ROOM_ENCAP_L2_MASK);
    eval("sub BPF_ADJ_ROOM_ENCAP_L2_SHIFT () { 56; }") unless defined(&BPF_ADJ_ROOM_ENCAP_L2_SHIFT);
    eval 'sub BPF_F_ADJ_ROOM_ENCAP_L2 {
        my($len) = @_;
	    eval q(((( &__u64)$len &  &BPF_ADJ_ROOM_ENCAP_L2_MASK) <<  &BPF_ADJ_ROOM_ENCAP_L2_SHIFT));
    }' unless defined(&BPF_F_ADJ_ROOM_ENCAP_L2);
    eval("sub BPF_F_SYSCTL_BASE_NAME () { (1ULL<<0); }") unless defined(&BPF_F_SYSCTL_BASE_NAME);
    eval("sub BPF_LOCAL_STORAGE_GET_F_CREATE () { (1ULL<<0); }") unless defined(&BPF_LOCAL_STORAGE_GET_F_CREATE);
    eval("sub BPF_SK_STORAGE_GET_F_CREATE () { BPF_LOCAL_STORAGE_GET_F_CREATE; }") unless defined(&BPF_SK_STORAGE_GET_F_CREATE);
    eval("sub BPF_F_GET_BRANCH_RECORDS_SIZE () { (1ULL<<0); }") unless defined(&BPF_F_GET_BRANCH_RECORDS_SIZE);
    eval("sub BPF_RB_NO_WAKEUP () { (1ULL<<0); }") unless defined(&BPF_RB_NO_WAKEUP);
    eval("sub BPF_RB_FORCE_WAKEUP () { (1ULL<<1); }") unless defined(&BPF_RB_FORCE_WAKEUP);
    eval("sub BPF_RB_AVAIL_DATA () { 0; }") unless defined(&BPF_RB_AVAIL_DATA);
    eval("sub BPF_RB_RING_SIZE () { 1; }") unless defined(&BPF_RB_RING_SIZE);
    eval("sub BPF_RB_CONS_POS () { 2; }") unless defined(&BPF_RB_CONS_POS);
    eval("sub BPF_RB_PROD_POS () { 3; }") unless defined(&BPF_RB_PROD_POS);
    eval("sub BPF_RINGBUF_BUSY_BIT () { (1U<<31); }") unless defined(&BPF_RINGBUF_BUSY_BIT);
    eval("sub BPF_RINGBUF_DISCARD_BIT () { (1U<<30); }") unless defined(&BPF_RINGBUF_DISCARD_BIT);
    eval("sub BPF_RINGBUF_HDR_SZ () { 8; }") unless defined(&BPF_RINGBUF_HDR_SZ);
    eval("sub BPF_SK_LOOKUP_F_REPLACE () { (1ULL<<0); }") unless defined(&BPF_SK_LOOKUP_F_REPLACE);
    eval("sub BPF_SK_LOOKUP_F_NO_REUSEPORT () { (1ULL<<1); }") unless defined(&BPF_SK_LOOKUP_F_NO_REUSEPORT);
    eval("sub BPF_ADJ_ROOM_NET () { 0; }") unless defined(&BPF_ADJ_ROOM_NET);
    eval("sub BPF_ADJ_ROOM_MAC () { 1; }") unless defined(&BPF_ADJ_ROOM_MAC);
    eval("sub BPF_HDR_START_MAC () { 0; }") unless defined(&BPF_HDR_START_MAC);
    eval("sub BPF_HDR_START_NET () { 1; }") unless defined(&BPF_HDR_START_NET);
    eval("sub BPF_LWT_ENCAP_SEG6 () { 0; }") unless defined(&BPF_LWT_ENCAP_SEG6);
    eval("sub BPF_LWT_ENCAP_SEG6_INLINE () { 1; }") unless defined(&BPF_LWT_ENCAP_SEG6_INLINE);
    eval("sub BPF_LWT_ENCAP_IP () { 2; }") unless defined(&BPF_LWT_ENCAP_IP);
    eval("sub BPF_F_BPRM_SECUREEXEC () { (1ULL<<0); }") unless defined(&BPF_F_BPRM_SECUREEXEC);
    eval("sub BPF_F_BROADCAST () { (1ULL<<3); }") unless defined(&BPF_F_BROADCAST);
    eval("sub BPF_F_EXCLUDE_INGRESS () { (1ULL<<4); }") unless defined(&BPF_F_EXCLUDE_INGRESS);
    eval 'sub __bpf_md_ptr {
        my($type, $name) = @_;
	    eval q(\'union union\' { $type $name;  &__u64 :64; }  &__attribute__(( &aligned(8))));
    }' unless defined(&__bpf_md_ptr);
    eval("sub BPF_SKB_TSTAMP_UNSPEC () { 0; }") unless defined(&BPF_SKB_TSTAMP_UNSPEC);
    eval("sub BPF_SKB_TSTAMP_DELIVERY_MONO () { 1; }") unless defined(&BPF_SKB_TSTAMP_DELIVERY_MONO);
    eval("sub BPF_OK () { 0; }") unless defined(&BPF_OK);
    eval("sub BPF_DROP () { 2; }") unless defined(&BPF_DROP);
    eval("sub BPF_REDIRECT () { 7; }") unless defined(&BPF_REDIRECT);
    eval("sub BPF_LWT_REROUTE () { 128; }") unless defined(&BPF_LWT_REROUTE);
    eval("sub BPF_FLOW_DISSECTOR_CONTINUE () { 129; }") unless defined(&BPF_FLOW_DISSECTOR_CONTINUE);
    eval("sub TCX_NEXT () { -1; }") unless defined(&TCX_NEXT);
    eval("sub TCX_PASS () { 0; }") unless defined(&TCX_PASS);
    eval("sub TCX_DROP () { 2; }") unless defined(&TCX_DROP);
    eval("sub TCX_REDIRECT () { 7; }") unless defined(&TCX_REDIRECT);
    eval 'sub XDP_PACKET_HEADROOM () {256;}' unless defined(&XDP_PACKET_HEADROOM);
    eval("sub XDP_ABORTED () { 0; }") unless defined(&XDP_ABORTED);
    eval("sub XDP_DROP () { 1; }") unless defined(&XDP_DROP);
    eval("sub XDP_PASS () { 2; }") unless defined(&XDP_PASS);
    eval("sub XDP_TX () { 3; }") unless defined(&XDP_TX);
    eval("sub XDP_REDIRECT () { 4; }") unless defined(&XDP_REDIRECT);
    eval("sub SK_DROP () { 0; }") unless defined(&SK_DROP);
    eval("sub SK_PASS () { 1; }") unless defined(&SK_PASS);
    eval 'sub BPF_TAG_SIZE () {8;}' unless defined(&BPF_TAG_SIZE);
    eval("sub BPF_SOCK_OPS_RTO_CB_FLAG () { (1<<0); }") unless defined(&BPF_SOCK_OPS_RTO_CB_FLAG);
    eval("sub BPF_SOCK_OPS_RETRANS_CB_FLAG () { (1<<1); }") unless defined(&BPF_SOCK_OPS_RETRANS_CB_FLAG);
    eval("sub BPF_SOCK_OPS_STATE_CB_FLAG () { (1<<2); }") unless defined(&BPF_SOCK_OPS_STATE_CB_FLAG);
    eval("sub BPF_SOCK_OPS_RTT_CB_FLAG () { (1<<3); }") unless defined(&BPF_SOCK_OPS_RTT_CB_FLAG);
    eval("sub BPF_SOCK_OPS_PARSE_ALL_HDR_OPT_CB_FLAG () { (1<<4); }") unless defined(&BPF_SOCK_OPS_PARSE_ALL_HDR_OPT_CB_FLAG);
    eval("sub BPF_SOCK_OPS_PARSE_UNKNOWN_HDR_OPT_CB_FLAG () { (1<<5); }") unless defined(&BPF_SOCK_OPS_PARSE_UNKNOWN_HDR_OPT_CB_FLAG);
    eval("sub BPF_SOCK_OPS_WRITE_HDR_OPT_CB_FLAG () { (1<<6); }") unless defined(&BPF_SOCK_OPS_WRITE_HDR_OPT_CB_FLAG);
    eval("sub BPF_SOCK_OPS_ALL_CB_FLAGS () { 0x7F; }") unless defined(&BPF_SOCK_OPS_ALL_CB_FLAGS);
    eval("sub BPF_SOCK_OPS_VOID () { 0; }") unless defined(&BPF_SOCK_OPS_VOID);
    eval("sub BPF_SOCK_OPS_TIMEOUT_INIT () { 1; }") unless defined(&BPF_SOCK_OPS_TIMEOUT_INIT);
    eval("sub BPF_SOCK_OPS_RWND_INIT () { 2; }") unless defined(&BPF_SOCK_OPS_RWND_INIT);
    eval("sub BPF_SOCK_OPS_TCP_CONNECT_CB () { 3; }") unless defined(&BPF_SOCK_OPS_TCP_CONNECT_CB);
    eval("sub BPF_SOCK_OPS_ACTIVE_ESTABLISHED_CB () { 4; }") unless defined(&BPF_SOCK_OPS_ACTIVE_ESTABLISHED_CB);
    eval("sub BPF_SOCK_OPS_PASSIVE_ESTABLISHED_CB () { 5; }") unless defined(&BPF_SOCK_OPS_PASSIVE_ESTABLISHED_CB);
    eval("sub BPF_SOCK_OPS_NEEDS_ECN () { 6; }") unless defined(&BPF_SOCK_OPS_NEEDS_ECN);
    eval("sub BPF_SOCK_OPS_BASE_RTT () { 7; }") unless defined(&BPF_SOCK_OPS_BASE_RTT);
    eval("sub BPF_SOCK_OPS_RTO_CB () { 8; }") unless defined(&BPF_SOCK_OPS_RTO_CB);
    eval("sub BPF_SOCK_OPS_RETRANS_CB () { 9; }") unless defined(&BPF_SOCK_OPS_RETRANS_CB);
    eval("sub BPF_SOCK_OPS_STATE_CB () { 10; }") unless defined(&BPF_SOCK_OPS_STATE_CB);
    eval("sub BPF_SOCK_OPS_TCP_LISTEN_CB () { 11; }") unless defined(&BPF_SOCK_OPS_TCP_LISTEN_CB);
    eval("sub BPF_SOCK_OPS_RTT_CB () { 12; }") unless defined(&BPF_SOCK_OPS_RTT_CB);
    eval("sub BPF_SOCK_OPS_PARSE_HDR_OPT_CB () { 13; }") unless defined(&BPF_SOCK_OPS_PARSE_HDR_OPT_CB);
    eval("sub BPF_SOCK_OPS_HDR_OPT_LEN_CB () { 14; }") unless defined(&BPF_SOCK_OPS_HDR_OPT_LEN_CB);
    eval("sub BPF_SOCK_OPS_WRITE_HDR_OPT_CB () { 15; }") unless defined(&BPF_SOCK_OPS_WRITE_HDR_OPT_CB);
    eval("sub BPF_TCP_ESTABLISHED () { 1; }") unless defined(&BPF_TCP_ESTABLISHED);
    eval("sub BPF_TCP_SYN_SENT () { 2; }") unless defined(&BPF_TCP_SYN_SENT);
    eval("sub BPF_TCP_SYN_RECV () { 3; }") unless defined(&BPF_TCP_SYN_RECV);
    eval("sub BPF_TCP_FIN_WAIT1 () { 4; }") unless defined(&BPF_TCP_FIN_WAIT1);
    eval("sub BPF_TCP_FIN_WAIT2 () { 5; }") unless defined(&BPF_TCP_FIN_WAIT2);
    eval("sub BPF_TCP_TIME_WAIT () { 6; }") unless defined(&BPF_TCP_TIME_WAIT);
    eval("sub BPF_TCP_CLOSE () { 7; }") unless defined(&BPF_TCP_CLOSE);
    eval("sub BPF_TCP_CLOSE_WAIT () { 8; }") unless defined(&BPF_TCP_CLOSE_WAIT);
    eval("sub BPF_TCP_LAST_ACK () { 9; }") unless defined(&BPF_TCP_LAST_ACK);
    eval("sub BPF_TCP_LISTEN () { 10; }") unless defined(&BPF_TCP_LISTEN);
    eval("sub BPF_TCP_CLOSING () { 11; }") unless defined(&BPF_TCP_CLOSING);
    eval("sub BPF_TCP_NEW_SYN_RECV () { 12; }") unless defined(&BPF_TCP_NEW_SYN_RECV);
    eval("sub BPF_TCP_MAX_STATES () { 13; }") unless defined(&BPF_TCP_MAX_STATES);
    eval("sub TCP_BPF_IW () { 1001; }") unless defined(&TCP_BPF_IW);
    eval("sub TCP_BPF_SNDCWND_CLAMP () { 1002; }") unless defined(&TCP_BPF_SNDCWND_CLAMP);
    eval("sub TCP_BPF_DELACK_MAX () { 1003; }") unless defined(&TCP_BPF_DELACK_MAX);
    eval("sub TCP_BPF_RTO_MIN () { 1004; }") unless defined(&TCP_BPF_RTO_MIN);
    eval("sub TCP_BPF_SYN () { 1005; }") unless defined(&TCP_BPF_SYN);
    eval("sub TCP_BPF_SYN_IP () { 1006; }") unless defined(&TCP_BPF_SYN_IP);
    eval("sub TCP_BPF_SYN_MAC () { 1007; }") unless defined(&TCP_BPF_SYN_MAC);
    eval("sub BPF_LOAD_HDR_OPT_TCP_SYN () { (1ULL<<0); }") unless defined(&BPF_LOAD_HDR_OPT_TCP_SYN);
    eval("sub BPF_WRITE_HDR_TCP_CURRENT_MSS () { 1; }") unless defined(&BPF_WRITE_HDR_TCP_CURRENT_MSS);
    eval("sub BPF_WRITE_HDR_TCP_SYNACK_COOKIE () { 2; }") unless defined(&BPF_WRITE_HDR_TCP_SYNACK_COOKIE);
    eval("sub BPF_DEVCG_ACC_MKNOD () { (1ULL<<0); }") unless defined(&BPF_DEVCG_ACC_MKNOD);
    eval("sub BPF_DEVCG_ACC_READ () { (1ULL<<1); }") unless defined(&BPF_DEVCG_ACC_READ);
    eval("sub BPF_DEVCG_ACC_WRITE () { (1ULL<<2); }") unless defined(&BPF_DEVCG_ACC_WRITE);
    eval("sub BPF_DEVCG_DEV_BLOCK () { (1ULL<<0); }") unless defined(&BPF_DEVCG_DEV_BLOCK);
    eval("sub BPF_DEVCG_DEV_CHAR () { (1ULL<<1); }") unless defined(&BPF_DEVCG_DEV_CHAR);
    eval("sub BPF_FIB_LOOKUP_DIRECT () { (1U<<0); }") unless defined(&BPF_FIB_LOOKUP_DIRECT);
    eval("sub BPF_FIB_LOOKUP_OUTPUT () { (1U<<1); }") unless defined(&BPF_FIB_LOOKUP_OUTPUT);
    eval("sub BPF_FIB_LOOKUP_SKIP_NEIGH () { (1U<<2); }") unless defined(&BPF_FIB_LOOKUP_SKIP_NEIGH);
    eval("sub BPF_FIB_LOOKUP_TBID () { (1U<<3); }") unless defined(&BPF_FIB_LOOKUP_TBID);
    eval("sub BPF_FIB_LKUP_RET_SUCCESS () { 0; }") unless defined(&BPF_FIB_LKUP_RET_SUCCESS);
    eval("sub BPF_FIB_LKUP_RET_BLACKHOLE () { 1; }") unless defined(&BPF_FIB_LKUP_RET_BLACKHOLE);
    eval("sub BPF_FIB_LKUP_RET_UNREACHABLE () { 2; }") unless defined(&BPF_FIB_LKUP_RET_UNREACHABLE);
    eval("sub BPF_FIB_LKUP_RET_PROHIBIT () { 3; }") unless defined(&BPF_FIB_LKUP_RET_PROHIBIT);
    eval("sub BPF_FIB_LKUP_RET_NOT_FWDED () { 4; }") unless defined(&BPF_FIB_LKUP_RET_NOT_FWDED);
    eval("sub BPF_FIB_LKUP_RET_FWD_DISABLED () { 5; }") unless defined(&BPF_FIB_LKUP_RET_FWD_DISABLED);
    eval("sub BPF_FIB_LKUP_RET_UNSUPP_LWT () { 6; }") unless defined(&BPF_FIB_LKUP_RET_UNSUPP_LWT);
    eval("sub BPF_FIB_LKUP_RET_NO_NEIGH () { 7; }") unless defined(&BPF_FIB_LKUP_RET_NO_NEIGH);
    eval("sub BPF_FIB_LKUP_RET_FRAG_NEEDED () { 8; }") unless defined(&BPF_FIB_LKUP_RET_FRAG_NEEDED);
    eval("sub BPF_MTU_CHK_SEGS () { (1U<<0); }") unless defined(&BPF_MTU_CHK_SEGS);
    eval("sub BPF_MTU_CHK_RET_SUCCESS () { 0; }") unless defined(&BPF_MTU_CHK_RET_SUCCESS);
    eval("sub BPF_MTU_CHK_RET_FRAG_NEEDED () { 1; }") unless defined(&BPF_MTU_CHK_RET_FRAG_NEEDED);
    eval("sub BPF_MTU_CHK_RET_SEGS_TOOBIG () { 2; }") unless defined(&BPF_MTU_CHK_RET_SEGS_TOOBIG);
    eval("sub BPF_FD_TYPE_RAW_TRACEPOINT () { 0; }") unless defined(&BPF_FD_TYPE_RAW_TRACEPOINT);
    eval("sub BPF_FD_TYPE_TRACEPOINT () { 1; }") unless defined(&BPF_FD_TYPE_TRACEPOINT);
    eval("sub BPF_FD_TYPE_KPROBE () { 2; }") unless defined(&BPF_FD_TYPE_KPROBE);
    eval("sub BPF_FD_TYPE_KRETPROBE () { 3; }") unless defined(&BPF_FD_TYPE_KRETPROBE);
    eval("sub BPF_FD_TYPE_UPROBE () { 4; }") unless defined(&BPF_FD_TYPE_UPROBE);
    eval("sub BPF_FD_TYPE_URETPROBE () { 5; }") unless defined(&BPF_FD_TYPE_URETPROBE);
    eval("sub BPF_FLOW_DISSECTOR_F_PARSE_1ST_FRAG () { (1U<<0); }") unless defined(&BPF_FLOW_DISSECTOR_F_PARSE_1ST_FRAG);
    eval("sub BPF_FLOW_DISSECTOR_F_STOP_AT_FLOW_LABEL () { (1U<<1); }") unless defined(&BPF_FLOW_DISSECTOR_F_STOP_AT_FLOW_LABEL);
    eval("sub BPF_FLOW_DISSECTOR_F_STOP_AT_ENCAP () { (1U<<2); }") unless defined(&BPF_FLOW_DISSECTOR_F_STOP_AT_ENCAP);
    eval 'sub BPF_LINE_INFO_LINE_NUM {
        my($line_col) = @_;
	    eval q((($line_col) >> 10));
    }' unless defined(&BPF_LINE_INFO_LINE_NUM);
    eval 'sub BPF_LINE_INFO_LINE_COL {
        my($line_col) = @_;
	    eval q((($line_col) & 0x3ff));
    }' unless defined(&BPF_LINE_INFO_LINE_COL);
    eval("sub BTF_F_COMPACT () { (1ULL<<0); }") unless defined(&BTF_F_COMPACT);
    eval("sub BTF_F_NONAME () { (1ULL<<1); }") unless defined(&BTF_F_NONAME);
    eval("sub BTF_F_PTR_RAW () { (1ULL<<2); }") unless defined(&BTF_F_PTR_RAW);
    eval("sub BTF_F_ZERO () { (1ULL<<3); }") unless defined(&BTF_F_ZERO);
    eval("sub BPF_CORE_FIELD_BYTE_OFFSET () { 0; }") unless defined(&BPF_CORE_FIELD_BYTE_OFFSET);
    eval("sub BPF_CORE_FIELD_BYTE_SIZE () { 1; }") unless defined(&BPF_CORE_FIELD_BYTE_SIZE);
    eval("sub BPF_CORE_FIELD_EXISTS () { 2; }") unless defined(&BPF_CORE_FIELD_EXISTS);
    eval("sub BPF_CORE_FIELD_SIGNED () { 3; }") unless defined(&BPF_CORE_FIELD_SIGNED);
    eval("sub BPF_CORE_FIELD_LSHIFT_U64 () { 4; }") unless defined(&BPF_CORE_FIELD_LSHIFT_U64);
    eval("sub BPF_CORE_FIELD_RSHIFT_U64 () { 5; }") unless defined(&BPF_CORE_FIELD_RSHIFT_U64);
    eval("sub BPF_CORE_TYPE_ID_LOCAL () { 6; }") unless defined(&BPF_CORE_TYPE_ID_LOCAL);
    eval("sub BPF_CORE_TYPE_ID_TARGET () { 7; }") unless defined(&BPF_CORE_TYPE_ID_TARGET);
    eval("sub BPF_CORE_TYPE_EXISTS () { 8; }") unless defined(&BPF_CORE_TYPE_EXISTS);
    eval("sub BPF_CORE_TYPE_SIZE () { 9; }") unless defined(&BPF_CORE_TYPE_SIZE);
    eval("sub BPF_CORE_ENUMVAL_EXISTS () { 10; }") unless defined(&BPF_CORE_ENUMVAL_EXISTS);
    eval("sub BPF_CORE_ENUMVAL_VALUE () { 11; }") unless defined(&BPF_CORE_ENUMVAL_VALUE);
    eval("sub BPF_CORE_TYPE_MATCHES () { 12; }") unless defined(&BPF_CORE_TYPE_MATCHES);
    eval("sub BPF_F_TIMER_ABS () { (1ULL<<0); }") unless defined(&BPF_F_TIMER_ABS);
}
1;
