require '_h2ph_pre.ph';

no warnings qw(redefine misc);

unless(defined(&_LINUX_NILFS2_API_H)) {
    eval 'sub _LINUX_NILFS2_API_H () {1;}' unless defined(&_LINUX_NILFS2_API_H);
    require 'linux/types.ph';
    require 'linux/ioctl.ph';
    eval("sub NILFS_CPINFO_SNAPSHOT () { 0; }") unless defined(&NILFS_CPINFO_SNAPSHOT);
    eval("sub NILFS_CPINFO_INVALID () { 1; }") unless defined(&NILFS_CPINFO_INVALID);
    eval("sub NILFS_CPINFO_SKETCH () { 2; }") unless defined(&NILFS_CPINFO_SKETCH);
    eval("sub NILFS_CPINFO_MINOR () { 3; }") unless defined(&NILFS_CPINFO_MINOR);
    eval 'sub NILFS_CPINFO_FNS {
        my($flag, $name) = @_;
	    eval q( &static  &__inline__ \'int\'  &nilfs_cpinfo_$name( &const \'struct nilfs_cpinfo\' * &cpinfo) {  &return !!( ($cpinfo->{ci_flags}) & (1 <<  &NILFS_CPINFO_$flag)); });
    }' unless defined(&NILFS_CPINFO_FNS);
    eval("sub NILFS_SUINFO_ACTIVE () { 0; }") unless defined(&NILFS_SUINFO_ACTIVE);
    eval("sub NILFS_SUINFO_DIRTY () { 1; }") unless defined(&NILFS_SUINFO_DIRTY);
    eval("sub NILFS_SUINFO_ERROR () { 2; }") unless defined(&NILFS_SUINFO_ERROR);
    eval 'sub NILFS_SUINFO_FNS {
        my($flag, $name) = @_;
	    eval q( &static  &__inline__ \'int\'  &nilfs_suinfo_$name( &const \'struct nilfs_suinfo\' * &si) {  &return  ($si->{sui_flags}) & (1 <<  &NILFS_SUINFO_$flag); });
    }' unless defined(&NILFS_SUINFO_FNS);
    eval 'sub nilfs_suinfo_clean {
        my($si) = @_;
	    eval q({ ! ($si->{sui_flags}); });
    }' unless defined(&nilfs_suinfo_clean);
    eval("sub NILFS_SUINFO_UPDATE_LASTMOD () { 0; }") unless defined(&NILFS_SUINFO_UPDATE_LASTMOD);
    eval("sub NILFS_SUINFO_UPDATE_NBLOCKS () { 1; }") unless defined(&NILFS_SUINFO_UPDATE_NBLOCKS);
    eval("sub NILFS_SUINFO_UPDATE_FLAGS () { 2; }") unless defined(&NILFS_SUINFO_UPDATE_FLAGS);
    eval("sub __NR_NILFS_SUINFO_UPDATE_FIELDS () { 3; }") unless defined(&__NR_NILFS_SUINFO_UPDATE_FIELDS);
    eval 'sub NILFS_SUINFO_UPDATE_FNS {
        my($flag, $name) = @_;
	    eval q( &static  &__inline__  &void  &nilfs_suinfo_update_set_$name(\'struct nilfs_suinfo_update\' * &sup) {  ($sup->{sup_flags}) |= 1 <<  &NILFS_SUINFO_UPDATE_$flag; }  &static  &__inline__  &void  &nilfs_suinfo_update_clear_$name(\'struct nilfs_suinfo_update\' * &sup) {  ($sup->{sup_flags}) &= ~(1 <<  &NILFS_SUINFO_UPDATE_$flag); }  &static  &__inline__ \'int\'  &nilfs_suinfo_update_$name( &const \'struct nilfs_suinfo_update\' * &sup) {  &return !!( ($sup->{sup_flags}) & (1 <<  &NILFS_SUINFO_UPDATE_$flag));});
    }' unless defined(&NILFS_SUINFO_UPDATE_FNS);
    eval("sub NILFS_CHECKPOINT () { 0; }") unless defined(&NILFS_CHECKPOINT);
    eval("sub NILFS_SNAPSHOT () { 1; }") unless defined(&NILFS_SNAPSHOT);
    eval 'sub NILFS_IOCTL_IDENT () {ord(\'n\');}' unless defined(&NILFS_IOCTL_IDENT);
    eval 'sub NILFS_IOCTL_CHANGE_CPMODE () { &_IOW( &NILFS_IOCTL_IDENT, 0x80, \'struct nilfs_cpmode\');}' unless defined(&NILFS_IOCTL_CHANGE_CPMODE);
    eval 'sub NILFS_IOCTL_DELETE_CHECKPOINT () { &_IOW( &NILFS_IOCTL_IDENT, 0x81,  &__u64);}' unless defined(&NILFS_IOCTL_DELETE_CHECKPOINT);
    eval 'sub NILFS_IOCTL_GET_CPINFO () { &_IOR( &NILFS_IOCTL_IDENT, 0x82, \'struct nilfs_argv\');}' unless defined(&NILFS_IOCTL_GET_CPINFO);
    eval 'sub NILFS_IOCTL_GET_CPSTAT () { &_IOR( &NILFS_IOCTL_IDENT, 0x83, \'struct nilfs_cpstat\');}' unless defined(&NILFS_IOCTL_GET_CPSTAT);
    eval 'sub NILFS_IOCTL_GET_SUINFO () { &_IOR( &NILFS_IOCTL_IDENT, 0x84, \'struct nilfs_argv\');}' unless defined(&NILFS_IOCTL_GET_SUINFO);
    eval 'sub NILFS_IOCTL_GET_SUSTAT () { &_IOR( &NILFS_IOCTL_IDENT, 0x85, \'struct nilfs_sustat\');}' unless defined(&NILFS_IOCTL_GET_SUSTAT);
    eval 'sub NILFS_IOCTL_GET_VINFO () { &_IOWR( &NILFS_IOCTL_IDENT, 0x86, \'struct nilfs_argv\');}' unless defined(&NILFS_IOCTL_GET_VINFO);
    eval 'sub NILFS_IOCTL_GET_BDESCS () { &_IOWR( &NILFS_IOCTL_IDENT, 0x87, \'struct nilfs_argv\');}' unless defined(&NILFS_IOCTL_GET_BDESCS);
    eval 'sub NILFS_IOCTL_CLEAN_SEGMENTS () { &_IOW( &NILFS_IOCTL_IDENT, 0x88, \'struct nilfs_argv\'[5]);}' unless defined(&NILFS_IOCTL_CLEAN_SEGMENTS);
    eval 'sub NILFS_IOCTL_SYNC () { &_IOR( &NILFS_IOCTL_IDENT, 0x8a,  &__u64);}' unless defined(&NILFS_IOCTL_SYNC);
    eval 'sub NILFS_IOCTL_RESIZE () { &_IOW( &NILFS_IOCTL_IDENT, 0x8b,  &__u64);}' unless defined(&NILFS_IOCTL_RESIZE);
    eval 'sub NILFS_IOCTL_SET_ALLOC_RANGE () { &_IOW( &NILFS_IOCTL_IDENT, 0x8c,  $__u64[2]);}' unless defined(&NILFS_IOCTL_SET_ALLOC_RANGE);
    eval 'sub NILFS_IOCTL_SET_SUINFO () { &_IOW( &NILFS_IOCTL_IDENT, 0x8d, \'struct nilfs_argv\');}' unless defined(&NILFS_IOCTL_SET_SUINFO);
}
1;
